Page MenuHomePhabricator

Perform core Cloud Services rebranding
Closed, ResolvedPublic

Description

Begin the process of rebranding Labs/Tool Labs products under the new Cloud Services umbrella:

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
He7d3r added a subscriber: He7d3r.Jul 19 2017, 2:17 PM
Liuxinyu970226 added a subscriber: Liuxinyu970226.EditedJul 21 2017, 5:38 AM

@bd808 shouldn't you rename the logo and texts on https://tools.wmflabs.org/ too?

@bd808 shouldn't you rename the logo and texts on https://tools.wmflabs.org/ too?

Yes. That's on my mental list of things, but apparently didn't get written down here. I have been working on ideas for a different Toolforge logo that is visually distinct from the Cloud Services unicorn. I will present them to the community soon to see if people really really hate the idea of changing more than the text. Having the visual difference only be the edge of the green background is yet another part of the "Labs labs labs" problem in my opinion. I'll fork a subtask for that soon.

bd808 updated the task description. (Show Details)Aug 12 2017, 7:56 PM

Change 371645 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker@master] Use new Toolforge logo and favicon

https://gerrit.wikimedia.org/r/371645

Change 364360 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker/staticfiles@master] Update static assets

https://gerrit.wikimedia.org/r/364360

Change 364134 merged by jenkins-bot:
[labs/striker@master] Update to use Toolforge branding

https://gerrit.wikimedia.org/r/364134

Change 371645 merged by BryanDavis:
[labs/striker@master] Use new Toolforge logo and favicon

https://gerrit.wikimedia.org/r/371645

Change 364360 merged by jenkins-bot:
[labs/striker/staticfiles@master] Update static assets

https://gerrit.wikimedia.org/r/364360

Change 370139 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker/deploy@master] Tool account creation and more

https://gerrit.wikimedia.org/r/370139

Change 370139 merged by jenkins-bot:
[labs/striker/deploy@master] Tool account creation and more

https://gerrit.wikimedia.org/r/370139

Mentioned in SAL (#wikimedia-operations) [2017-08-23T16:24:26Z] <bd808@tin> Finished deploy [striker/deploy@2f2dd7c]: Deploying 2f2dd7c "Tool account creation and more" (T128400, T149458, T159044, T164847, T167931, T168480, T173845) (duration: 00m 39s)

bd808 updated the task description. (Show Details)Aug 23 2017, 5:54 PM
Quiddity updated the task description. (Show Details)Aug 24 2017, 8:29 PM
bd808 updated the task description. (Show Details)Sep 6 2017, 5:55 PM
Quiddity updated the task description. (Show Details)Sep 6 2017, 10:37 PM

Change 378989 had a related patch set uploaded (by Madhuvishy; owner: Madhuvishy):
[operations/puppet@production] device_backup: Update cron MAILTo to new mailing list address

https://gerrit.wikimedia.org/r/378989

Quiddity updated the task description. (Show Details)Sep 20 2017, 12:18 AM
bd808 renamed this task from Perform initial Cloud Services rebranding to Perform core Cloud Services rebranding.Sep 21 2017, 8:12 PM
bd808 updated the task description. (Show Details)Sep 21 2017, 8:15 PM
bd808 updated the task description. (Show Details)

Unsure where this fits but https://www.wikimedia.org/ should be updated with the new names (at least in the mouse-over)

Unsure where this fits but https://www.wikimedia.org/ should be updated with the new names (at least in the mouse-over)

This is blocked on T174094: Update Cloud Services logo+wordmark at the moment.

Change 378989 merged by Madhuvishy:
[operations/puppet@production] device_backup: Update cron MAILTo to new mailing list address

https://gerrit.wikimedia.org/r/378989

bd808 updated the task description. (Show Details)Sep 28 2017, 8:49 PM
Quiddity updated the task description. (Show Details)
Quiddity removed a project: Patch-For-Review.
bd808 updated the task description. (Show Details)Sep 29 2017, 10:12 PM

Change 381620 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/toollabs@master] Toolforge rebranding

https://gerrit.wikimedia.org/r/381620

Change 381620 merged by jenkins-bot:
[labs/toollabs@master] Toolforge rebranding

https://gerrit.wikimedia.org/r/381620

Quiddity updated the task description. (Show Details)Oct 18 2017, 12:22 AM

Change 387492 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/puppet@production] labs: Rebranding for Puppet failure emails

https://gerrit.wikimedia.org/r/387492

Change 387492 merged by Andrew Bogott:
[operations/puppet@production] labs: Rebranding for Puppet failure emails

https://gerrit.wikimedia.org/r/387492

TerraCodes updated the task description. (Show Details)Nov 21 2017, 3:05 AM
TerraCodes added a subscriber: TerraCodes.

(checking off closed task)

Change 398605 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/puppet@production] horizon: Update logos and file naming

https://gerrit.wikimedia.org/r/398605

bd808 updated the task description. (Show Details)Dec 16 2017, 12:00 AM

Change 398605 merged by Andrew Bogott:
[operations/puppet@production] horizon: Update logos and file naming

https://gerrit.wikimedia.org/r/398605

bd808 closed this task as Resolved.Dec 22 2017, 11:19 PM
bd808 updated the task description. (Show Details)

It was a team and community effort to close this out in 6 months. There are still some long tail issues to address, but the big things are all done. Many thanks from me to @Quiddity for all the work he put in on this!

Change 410520 had a related patch set uploaded (by Chico Venancio; owner: Chico Venancio):
[operations/puppet@production] Rebranding alt message in Horizon

https://gerrit.wikimedia.org/r/410520

Change 410520 merged by Dzahn:
[operations/puppet@production] openstack: Rebranding alt message in Horizon

https://gerrit.wikimedia.org/r/410520

Change 416990 had a related patch set uploaded (by Chico Venancio; owner: Chico Venancio):
[operations/puppet@production] Cloud VPS: update bastion banner

https://gerrit.wikimedia.org/r/416990

Change 416990 merged by Rush:
[operations/puppet@production] Cloud VPS: update bastion banner

https://gerrit.wikimedia.org/r/416990

Change 437813 had a related patch set uploaded (by Chico Venancio; owner: Chico Venancio):
[operations/puppet@production] Toolforge: Update toolforge description in bastion banner

https://gerrit.wikimedia.org/r/437813

Change 437813 merged by Andrew Bogott:
[operations/puppet@production] Toolforge: Update toolforge description in bastion banner

https://gerrit.wikimedia.org/r/437813